# QuickHashIntHash::update

(PECL quickhash >= Unknown)

QuickHashIntHash::update — This method updates an entry in the hash with a new value

### Beschreibung

public QuickHashIntHash::update(int `$key`, int `$value`): bool

This method updates an entry with a new value, and returns whether the entry was update. If there are duplicate keys, only the first found element will get an updated value. Use `QuickHashIntHash::CHECK_FOR_DUPES` during hash creation to prevent duplicate keys from being part of the hash.

### Parameter-Liste

`key`

  The key of the entry to update.

`value`

  The new value to update the entry with.

### Rückgabewerte

`true` when the entry was found and updated, and `false` if the entry was not part of the hash already.

### Beispiele

Beispiel #1 QuickHashIntHash::update() example

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->add( 141421, 173205 ) );
var_dump( $hash->update( 141421, 223606 ) );
var_dump( $hash->get( 141421 ) );
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    bool(true)
    bool(true)
    int(223606)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open